Module java.rmi
Package java.rmi

## Class ConnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.ConnectException

All Implemented Interfaces:
  `Serializable`

    public class ConnectException
    extends RemoteException

A `ConnectException` is thrown if a connection is refused to the remote host for a remote method call.

Since:
  1.1
See Also:
  Serialized Form

### Field Summary

### Fields declared in class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
`ConnectException​(String s)` Constructs a `ConnectException` with the specified detail message.
`ConnectException​(String s, Exception ex)` Constructs a `ConnectException` with the specified detail message and nested exception.

### Method Summary

### Methods declared in class java.rmi.RemoteException

`getCause, getMessage`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectException

    public ConnectException​(String s)

Constructs a `ConnectException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.1

#### ConnectException

    public ConnectException​(String s,
                            Exception ex)

Constructs a `ConnectException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  1.1